Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http
Interface ConnectionReuseStrategy

All Known Implementing Classes:
  DefaultConnectionReuseStrategy, NoConnectionReuseStrategy

    public interface ConnectionReuseStrategy

Interface for deciding whether a connection can be re-used for subsequent requests and should be kept alive.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.0

Method Summary
`boolean` | `keepAlive(HttpResponse response, HttpContext context)` Decides whether a connection can be kept open after a request.

Method Detail

### keepAlive

    boolean keepAlive(HttpResponse response,
                      HttpContext context)

  Decides whether a connection can be kept open after a request. If this method returns `false`, the caller MUST close the connection to correctly comply with the HTTP protocol. If it returns `true`, the caller SHOULD attempt to keep the connection open for reuse with another request.

  One can use the HTTP context to retrieve additional objects that may be relevant for the keep-alive strategy: the actual HTTP connection, the original HTTP request, target host if known, number of times the connection has been reused already and so on.

  If the connection is already closed, `false` is returned. The stale connection check MUST NOT be triggered by a connection reuse strategy.

  Parameters:
    `response` - The last response received over that connection.
    `context` - the context in which the connection is being used.
  Returns:
    `true` if the connection is allowed to be reused, or `false` if it MUST NOT be reused

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.